$INCLUDE: 'C:\FG\INTRFACE.FOR'

      PROGRAM MAIN

      INTEGER*2 I
      INTEGER*2 FREQ
      INTEGER*2 SOUND_ARRAY(83)
      INTEGER*2 FG_PLAYING

      I = 1

      DO 10 FREQ = 100,500,10
         SOUND_ARRAY(I) = FREQ
         I = I + 1
         SOUND_ARRAY(I) = 8
         I = I + 1
10    CONTINUE
      SOUND_ARRAY(I) = 0

      CALL FG_SOUNDS(SOUND_ARRAY,1)

20    IF (FG_PLAYING() .EQ. 1) THEN
         WRITE(6,*) 'Still playing...'
         GO TO 20
      END IF

      STOP ' '
      END
